#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(of_can_transceiver, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0x973774cf, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0xec8e4dd4, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0x17975bca, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0xda8595c0, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0xb5a4ccd8, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0x64e4ba65, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0x27eb9a41, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0xf11e6c13, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_change_state, 0xde741788, "_gpl");
SYMBOL_CRC(can_bus_off, 0x7a133cea, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0x832e9c60, "_gpl");
SYMBOL_CRC(free_candev, 0x8f253177, "_gpl");
SYMBOL_CRC(can_change_mtu, 0xfe5ccbf2, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0x00681b28, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0x4be4497b, "");
SYMBOL_CRC(open_candev, 0x1451f7b3, "_gpl");
SYMBOL_CRC(of_can_transceiver, 0x5a3d9a4c, "_gpl");
SYMBOL_CRC(close_candev, 0xd6e98fdd, "_gpl");
SYMBOL_CRC(register_candev, 0xc8a08245, "_gpl");
SYMBOL_CRC(unregister_candev, 0x064c04fa, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0x3b0eb490, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0x4203a10a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd8d869e5, "skb_put" },
	{ 0xaa1474d, "gpiod_set_value" },
	{ 0x12c9ec7e, "skb_tstamp_tx" },
	{ 0xdceb4467, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf38579a1, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xaf317b33, "unregister_netdev" },
	{ 0xf87ffb4f, "rtnl_link_register" },
	{ 0x1f83170b, "netdev_warn" },
	{ 0x6a882fc8, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xcd45bd5c, "netdev_err" },
	{ 0x8d1402b, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x64d88058, "device_property_read_u32_array" },
	{ 0x5df36bb, "of_get_child_by_name" },
	{ 0x7dacc227, "rtnl_link_unregister" },
	{ 0x428ed74b, "sk_skb_reason_drop" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xdddafc0a, "register_netdev" },
	{ 0x69c1c444, "free_netdev" },
	{ 0xdcb764ad, "memset" },
	{ 0xab5aa17f, "sock_efree" },
	{ 0xbdc74dfa, "netif_rx" },
	{ 0xa4a944cc, "__netdev_alloc_skb" },
	{ 0x28143153, "skb_trim" },
	{ 0x49bc5e0b, "__dynamic_netdev_dbg" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd3e1f795, "netif_carrier_off" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x18be2b85, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x8f2cded4, "netif_carrier_on" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xab1e9097, "dev_err_probe" },
	{ 0x98ea7e4e, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xeae60c69, "skb_clone_tx_timestamp" },
	{ 0xa08d68a8, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1CED7D9B41A22F946AE5397");
MODULE_INFO(rhelversion, "9.6");
