#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0x2f9c8eeb, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x30ce5bbc, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x7d864de3, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x212425e6, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x7f44f4aa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc4b53ff5, "__do_once_done" },
	{ 0x2669bde6, "ip6_route_input_lookup" },
	{ 0xee78e17b, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xe192651e, "dev_pre_changeaddr_notify" },
	{ 0x1281240, "dev_mc_sync" },
	{ 0xba313740, "ida_destroy" },
	{ 0x5c2a4e60, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x22cf4acd, "netdev_update_features" },
	{ 0xf38579a1, "consume_skb" },
	{ 0xfbb11664, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0xa8b24418, "dev_uc_sync" },
	{ 0xf87ffb4f, "rtnl_link_register" },
	{ 0xbcb13b13, "netif_inherit_tso_max" },
	{ 0x86ed32d, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xf846c519, "ip_route_output_flow" },
	{ 0x2e0011f8, "unregister_netdevice_queue" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xc638deb8, "dev_uc_unsync" },
	{ 0x804e420e, "ether_setup" },
	{ 0xcd45bd5c, "netdev_err" },
	{ 0x388eb129, "netdev_upper_dev_link" },
	{ 0x21899d40, "register_pernet_subsys" },
	{ 0x4bf839a9, "netdev_core_stats_alloc" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xdd0ed4bd, "eth_header_parse" },
	{ 0xc3f213c, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cc8dfbf, "eth_header_cache_update" },
	{ 0x882b31ad, "nf_register_net_hooks" },
	{ 0x77b1d35, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xd4424e43, "ip_route_input_noref" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x7470f2f5, "__dev_get_by_index" },
	{ 0x7dacc227, "rtnl_link_unregister" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xc858d991, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x428ed74b, "sk_skb_reason_drop" },
	{ 0x6341a5d7, "netif_stacked_transfer_operstate" },
	{ 0x2a7ee37e, "netdev_upper_dev_unlink" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x85551ba9, "ida_free" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf0609438, "ns_capable" },
	{ 0xea7014c4, "nf_unregister_net_hooks" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xacb9b364, "ethtool_op_get_link" },
	{ 0xea80b91a, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x7b2e87ea, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x67c4fcff, "__pskb_pull_tail" },
	{ 0xbdc74dfa, "netif_rx" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xbd5280d4, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0x6d012c1f, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4a781b8c, "vlan_vid_add" },
	{ 0xe2eb6f04, "call_netdevice_notifiers" },
	{ 0x6ccf579a, "vlan_vid_del" },
	{ 0x1945e662, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x18be2b85, "skb_clone" },
	{ 0xac3ceb17, "dst_release" },
	{ 0xc207366a, "netdev_rx_handler_register" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc2ec1bfa, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x51ee4df6, "kmalloc_trace" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x365254bf, "dev_mc_unsync" },
	{ 0xe338b642, "dev_change_flags" },
	{ 0x49d3ab2f, "dev_forward_skb" },
	{ 0x118705df, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xfa6ff376, "register_netdevice" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "ipv6");


MODULE_INFO(srcversion, "28512DAED13D1CEE197123A");
MODULE_INFO(rhelversion, "9.6");
