#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x0fb04f36, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x7d3a64f3, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0xd2e5a03d, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x056fcc2e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x804e420e, "ether_setup" },
	{ 0xea80b91a, "__ethtool_get_link_ksettings" },
	{ 0xa91a24b5, "ethtool_get_ts_info_by_layer" },
	{ 0x8bec14f9, "init_net" },
	{ 0xb519c4a0, "generic_hwtstamp_set_lower" },
	{ 0x374b0723, "generic_hwtstamp_get_lower" },
	{ 0xa5fa549c, "dev_mc_del" },
	{ 0xc0e3170c, "dev_uc_del" },
	{ 0xe0094465, "dev_mc_add_excl" },
	{ 0xb3d393bb, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x6ccf579a, "vlan_vid_del" },
	{ 0x4a781b8c, "vlan_vid_add" },
	{ 0x1945e662, "dev_set_allmulti" },
	{ 0x1a6f5252, "dev_set_promiscuity" },
	{ 0xc638deb8, "dev_uc_unsync" },
	{ 0x365254bf, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x118705df, "kmalloc_caches" },
	{ 0x51ee4df6, "kmalloc_trace" },
	{ 0xf87ffb4f, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7dacc227, "rtnl_link_unregister" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5c2a4e60, "netdev_is_rx_handler_busy" },
	{ 0xdcb764ad, "memset" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0xc207366a, "netdev_rx_handler_register" },
	{ 0x37a0cba, "kfree" },
	{ 0xd7b9e730, "dev_uc_add" },
	{ 0xfd30bbc2, "dev_set_mac_address" },
	{ 0xe2eb6f04, "call_netdevice_notifiers" },
	{ 0xbcb13b13, "netif_inherit_tso_max" },
	{ 0x22cf4acd, "netdev_update_features" },
	{ 0x6341a5d7, "netif_stacked_transfer_operstate" },
	{ 0x5c62f121, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x2e0011f8, "unregister_netdevice_queue" },
	{ 0x2a7ee37e, "netdev_upper_dev_unlink" },
	{ 0xa8b24418, "dev_uc_sync" },
	{ 0x1281240, "dev_mc_sync" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x18be2b85, "skb_clone" },
	{ 0xbdc74dfa, "netif_rx" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xd6251941, "__dev_forward_skb" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf38579a1, "consume_skb" },
	{ 0xc3f213c, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x428ed74b, "sk_skb_reason_drop" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x7470f2f5, "__dev_get_by_index" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfa6ff376, "register_netdevice" },
	{ 0x388eb129, "netdev_upper_dev_link" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x7e5e5a88, "linkwatch_fire_event" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4bf839a9, "netdev_core_stats_alloc" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x4b39622c, "__netif_rx" },
	{ 0x6d012c1f, "__dev_queue_xmit" },
	{ 0x49d3ab2f, "dev_forward_skb" },
	{ 0x5634a724, "ip_check_defrag" },
	{ 0xe0d2edfe, "passthru_features_check" },
	{ 0xb48b05c2, "eth_validate_addr" },
	{ 0xd9d89ea3, "ndo_dflt_fdb_dump" },
	{ 0xdd0ed4bd, "eth_header_parse" },
	{ 0x86ed32d, "eth_header_cache" },
	{ 0x6cc8dfbf, "eth_header_cache_update" },
	{ 0xacb9b364, "ethtool_op_get_link" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3E9C474A79A89BDFD889463");
MODULE_INFO(rhelversion, "9.6");
