#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0xb81b502d, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0xb82a46c9, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0xbd76ecec, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0x541965c5, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0xa9531e94, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0x81941a33, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0x34a9a9f1, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0x96ffdeed, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0x64029730, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0xdaff9c40, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0x1e16b174, "_gpl");
SYMBOL_CRC(at803x_read_status, 0x67d3af59, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0x807b206a, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0x52329885, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0x93965623, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0x399c7e4b, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0x20c1385a, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0x10510b5a, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0xe0356784, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0xe5efb28c, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0xeef05d0f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x39197fa0, "mdiobus_write" },
	{ 0x600a06ef, "mdiobus_read" },
	{ 0xf994470c, "phy_write_mmd" },
	{ 0x68b63374, "phy_modify" },
	{ 0xa624406, "phy_trigger_machine" },
	{ 0x63ea0332, "phy_error" },
	{ 0x8f7293c7, "phy_modify_changed" },
	{ 0x6bf26ce3, "genphy_update_link" },
	{ 0xda69d75c, "genphy_read_lpa" },
	{ 0xf61e940c, "phy_resolve_aneg_pause" },
	{ 0x91a1c35d, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe6d380bf, "_dev_err" },
	{ 0x53a32e7f, "phy_read_mmd" },
	{ 0xf845643d, "ethnl_cable_test_result" },
	{ 0x5664939f, "ethnl_cable_test_fault_length" },
	{ 0x2a4b5f68, "phy_modify_mmd" },
	{ 0x1a8ed2c3, "genphy_soft_reset" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "771CD4DBC31CBCACC4F04AF");
MODULE_INFO(rhelversion, "9.6");
