#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wwan_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_put_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_create_port, "_gpl", "");
KSYMTAB_FUNC(wwan_remove_port, "_gpl", "");
KSYMTAB_FUNC(wwan_port_rx, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txon, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txoff, "_gpl", "");
KSYMTAB_FUNC(wwan_port_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(wwan_register_ops, "_gpl", "");
KSYMTAB_FUNC(wwan_unregister_ops, "_gpl", "");

SYMBOL_CRC(wwan_get_debugfs_dir, 0x575ba3d5, "_gpl");
SYMBOL_CRC(wwan_put_debugfs_dir, 0x209242aa, "_gpl");
SYMBOL_CRC(wwan_create_port, 0xf07f236a, "_gpl");
SYMBOL_CRC(wwan_remove_port, 0xb74c31cd, "_gpl");
SYMBOL_CRC(wwan_port_rx, 0x5ebbb978, "_gpl");
SYMBOL_CRC(wwan_port_txon, 0x3d9bbf75, "_gpl");
SYMBOL_CRC(wwan_port_txoff, 0x4dff61e5, "_gpl");
SYMBOL_CRC(wwan_port_get_drvdata, 0x526bcf2a, "_gpl");
SYMBOL_CRC(wwan_register_ops, 0xd4ee39fc, "_gpl");
SYMBOL_CRC(wwan_unregister_ops, 0x82ddc21f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xee78e17b, "ida_alloc_range" },
	{ 0xb3de631a, "class_dev_iter_next" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x698263e3, "__nlmsg_put" },
	{ 0xd8d869e5, "skb_put" },
	{ 0xd6ce058f, "dev_set_name" },
	{ 0xf38579a1, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7b4e99af, "device_unregister" },
	{ 0xb6277d78, "skb_dequeue" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0x470b9136, "finish_wait" },
	{ 0xf87ffb4f, "rtnl_link_register" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0x5eba2150, "device_for_each_child" },
	{ 0xaece54f4, "prepare_to_wait_event" },
	{ 0x1e31314c, "__wake_up" },
	{ 0x8484d675, "rtnl_create_link" },
	{ 0x2e0011f8, "unregister_netdevice_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x5f80a45b, "skb_queue_purge_reason" },
	{ 0x8d1402b, "alloc_netdev_mqs" },
	{ 0xb3603e26, "class_dev_iter_exit" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xed2edd51, "put_device" },
	{ 0x8f615532, "__alloc_skb" },
	{ 0x3d1ad062, "_dev_info" },
	{ 0x65d11556, "skb_queue_tail" },
	{ 0x740de377, "rtnl_configure_link" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7dacc227, "rtnl_link_unregister" },
	{ 0x8bec14f9, "init_net" },
	{ 0xc858d991, "skb_pull" },
	{ 0x428ed74b, "sk_skb_reason_drop" },
	{ 0xadf0687e, "noop_llseek" },
	{ 0xa58f79fb, "mutex_lock" },
	{ 0xa31860c3, "debugfs_remove" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x85551ba9, "ida_free" },
	{ 0x69c1c444, "free_netdev" },
	{ 0x87162414, "class_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd0bb6b12, "class_dev_iter_init" },
	{ 0xf46f2b44, "device_register" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xdcb764ad, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x64c2d43, "__init_waitqueue_head" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7e526f44, "mutex_unlock" },
	{ 0x2150fa1e, "__register_chrdev" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4202534c, "stream_open" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x51ee4df6, "kmalloc_trace" },
	{ 0xa6e8fbfb, "device_find_child_by_name" },
	{ 0x98cf60b3, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x689774f8, "debugfs_create_dir" },
	{ 0xbeb02b60, "__mutex_rt_init" },
	{ 0x52d9ade0, "class_register" },
	{ 0x118705df, "kmalloc_caches" },
	{ 0x72d31073, "skb_queue_head" },
	{ 0x3a833a52, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xfa6ff376, "register_netdevice" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5F523DC18C1E553FB04656D");
MODULE_INFO(rhelversion, "9.6");
