#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x315fcb50, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0xc63663a6, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x554690d2, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0xc22557d7, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x34686fe0, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x679add64, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x5ee6f4f6, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0xc7beed7d, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x7dc162cd, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0xd8f4d017, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0xf6843858, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x74e73b81, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xf36b71c, "ipv6_chk_addr_and_flags" },
	{ 0x3c8c3412, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x3652b822, "ip6tun_encaps" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xe98e94c6, "register_pernet_device" },
	{ 0xefc99adf, "xfrm6_tunnel_register" },
	{ 0xf87ffb4f, "rtnl_link_register" },
	{ 0x2de38b32, "xfrm6_tunnel_deregister" },
	{ 0xb3298e6c, "unregister_pernet_device" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2e0011f8, "unregister_netdevice_queue" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xda26875d, "rt6_lookup" },
	{ 0xac3ceb17, "dst_release" },
	{ 0x7470f2f5, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x53ac39fd, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x8bec14f9, "init_net" },
	{ 0x8d1402b, "alloc_netdev_mqs" },
	{ 0xdddafc0a, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0x69c1c444, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7dacc227, "rtnl_link_unregister" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x8a38166b, "gro_cells_init" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x67c4fcff, "__pskb_pull_tail" },
	{ 0xfa6ff376, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x49928cd, "netdev_state_change" },
	{ 0x2b0e6d43, "make_kuid" },
	{ 0x8f99accc, "ip6_redirect" },
	{ 0x2ac83774, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x9304171c, "dst_cache_get" },
	{ 0x77b1d35, "ip6_route_output_flags" },
	{ 0x683997ed, "xfrm_lookup" },
	{ 0xbd5280d4, "skb_scrub_packet" },
	{ 0xe920e670, "skb_realloc_headroom" },
	{ 0x199c8da3, "skb_set_owner_w" },
	{ 0xf38579a1, "consume_skb" },
	{ 0x83600ec4, "ipv6_push_frag_opts" },
	{ 0xedcd879e, "skb_push" },
	{ 0xfbb11664, "ip6_local_out" },
	{ 0x58bd44e7, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcaae591f, "skb_copy_bits" },
	{ 0x87203512, "ip6_dst_hoplimit" },
	{ 0xf69031a9, "ipv6_dev_get_saddr" },
	{ 0x708dc764, "neigh_destroy" },
	{ 0x18be2b85, "skb_clone" },
	{ 0xc858d991, "skb_pull" },
	{ 0x7b3b0b46, "__icmpv6_send" },
	{ 0x428ed74b, "sk_skb_reason_drop" },
	{ 0xbf9aa5f, "gro_cells_receive" },
	{ 0xd0689882, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xf846c519, "ip_route_output_flow" },
	{ 0xd4424e43, "ip_route_input_noref" },
	{ 0x2fa1e51, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xed281a41, "iptunnel_handle_offloads" },
	{ 0x135fa6d7, "icmpv6_ndo_send" },
	{ 0xd16436a9, "icmp_ndo_send" },
	{ 0x77597944, "__iptunnel_pull_header" },
	{ 0x80da3d11, "metadata_dst_alloc" },
	{ 0x41ca9146, "__xfrm_policy_check" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xf0609438, "ns_capable" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xb35653be, "dev_get_tstats64" },
	{ 0xaedb65b3, "param_ops_bool" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "ipv6,tunnel6");


MODULE_INFO(srcversion, "BE0736E6F2AB50294927908");
MODULE_INFO(rhelversion, "9.6");
